Call the recordDeliverableVersion mutation
curl --request POST \
--url https://api.example.com/api/fn/recordDeliverableVersion \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileId": "<string>",
"fileUrl": "<string>",
"filename": "<string>",
"mimeType": "<string>",
"size": 123,
"slotId": "<string>"
}
'import requests
url = "https://api.example.com/api/fn/recordDeliverableVersion"
payload = {
"fileId": "<string>",
"fileUrl": "<string>",
"filename": "<string>",
"mimeType": "<string>",
"size": 123,
"slotId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fileId: '<string>',
fileUrl: '<string>',
filename: '<string>',
mimeType: '<string>',
size: 123,
slotId: '<string>'
})
};
fetch('https://api.example.com/api/fn/recordDeliverableVersion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<unknown>"{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>"
}
}actions
Call the recordDeliverableVersion mutation
POST
/
api
/
fn
/
recordDeliverableVersion
Call the recordDeliverableVersion mutation
Authorizations
BearerAuthCookieAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
The value returned by recordDeliverableVersion
Whatever the function returns
⌘I